Subject: bug#7654: closed (Re: bug#7654: docs: is LTLIBRARIES missing from the list of primaries in the automake manual?)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 16 Dec 2010 18:49:02 +0000

Your bug report

#7654: docs: is LTLIBRARIES missing from the list of primaries in the automake manual?

which was filed against the automake package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
7654: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7654
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#7654: docs: is LTLIBRARIES missing from the list of primaries in the automake manual?
From: Stefano Lattarini <[email-masked]>
To: Ralf Wildenhues <[email-masked]>, [email-masked]
Cc: [email-masked]
Date: Thu, 16 Dec 2010 19:54:21 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thursday 16 December 2010, Ralf Wildenhues wrote:
> * Stefano Lattarini wrote on Thu, Dec 16, 2010 at 06:40:37PM CET:
> > In section "3.3 The Uniform Naming Scheme" I read:
> > 
> >  ``The current primary names are ‘PROGRAMS’, ‘LIBRARIES’, ‘LISP’,
> >    ‘PYTHON’, ‘JAVA’, ‘SCRIPTS’, ‘DATA’, ‘HEADERS’, ‘MANS’, and
> >    ‘TEXINFOS’. Some primaries also allow additional prefixes that
> >    control other aspects of automake's behavior. ...''
> > 
> > Shouldn't `LTLIBRARIES' be listed here too?
> 
> Yes.  The obvious patch is preapproved.
> 
> Thanks,
> Ralf
> 

This is what I pushed to maint.

Regards,
   Stefano

-*-*-*-

docs: list LTLIBRARIES among Automake primaries

* doc/automake.texi (Uniform): List `LTLIBRARIES' among
the Automake primaries.
---
 ChangeLog         |    6 ++++++
 doc/automake.texi |    6 ++++--
 2 files changed, 10 insertions(+), 2 deletions(-)

diff --git a/ChangeLog b/ChangeLog
index 2482ef1..3eee3a7 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,9 @@
+2010-12-16  Stefano Lattarini  <[email-masked]>
+
+	docs: list LTLIBRARIES among Automake primaries
+	* doc/automake.texi (Uniform): List `LTLIBRARIES' among
+	the Automake primaries.
+
 2010-12-14  Stefano Lattarini  <[email-masked]>
 
 	Improve tests on generated portions of configure help screen.
diff --git a/doc/automake.texi b/doc/automake.texi
index 5a805b3..227b1ba 100644
--- a/doc/automake.texi
+++ b/doc/automake.texi
@@ -2024,10 +2024,12 @@ should not be built until the @samp{make check} command is run.  Those
 objects are not installed either.
 
 The current primary names are @samp{PROGRAMS}, @samp{LIBRARIES},
-@samp{LISP}, @samp{PYTHON}, @samp{JAVA}, @samp{SCRIPTS}, @samp{DATA},
-@samp{HEADERS}, @samp{MANS}, and @samp{TEXINFOS}.
+@samp{LTLIBRARIES}, @samp{LISP}, @samp{PYTHON}, @samp{JAVA},
+@samp{SCRIPTS}, @samp{DATA}, @samp{HEADERS}, @samp{MANS}, and
+@samp{TEXINFOS}.
 @vindex PROGRAMS
 @vindex LIBRARIES
+@vindex LTLIBRARIES
 @vindex LISP
 @vindex PYTHON
 @vindex JAVA
-- 
1.7.1

Subject: docs: is LTLIBRARIES missing from the list of primaries in the automake manual?
From: Stefano Lattarini <[email-masked]>
To: [email-masked]
Date: Thu, 16 Dec 2010 18:40:37 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

The subjects says it all, basically.

In section "3.3 The Uniform Naming Scheme" I read:

 ``The current primary names are ‘PROGRAMS’, ‘LIBRARIES’, ‘LISP’,
   ‘PYTHON’, ‘JAVA’, ‘SCRIPTS’, ‘DATA’, ‘HEADERS’, ‘MANS’, and
   ‘TEXINFOS’. Some primaries also allow additional prefixes that
   control other aspects of automake's behavior. ...''

Shouldn't `LTLIBRARIES' be listed here too?  Or am I missing
something?

Regards,
  Stefano